# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2
from src.generated.Python import transformer_pb2 as src_dot_generated_dot_Python_dot_transformer__pb2


class TransformerStub(object):
    """Interface exported by the server.
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.startTransformerService = channel.unary_stream(
                '/provee.Transformer/startTransformerService',
                request_serializer=src_dot_generated_dot_Python_dot_transformer__pb2.startTransformer.SerializeToString,
                response_deserializer=src_dot_generated_dot_Python_dot_transformer__pb2.pointChunk.FromString,
                )
        self.getProgress = channel.unary_unary(
                '/provee.Transformer/getProgress',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=src_dot_generated_dot_Python_dot_transformer__pb2.progressTransformer.FromString,
                )
        self.stopTransformerService = channel.unary_unary(
                '/provee.Transformer/stopTransformerService',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )


class TransformerServicer(object):
    """Interface exported by the server.
    """

    def startTransformerService(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getProgress(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def stopTransformerService(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_TransformerServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'startTransformerService': grpc.unary_stream_rpc_method_handler(
                    servicer.startTransformerService,
                    request_deserializer=src_dot_generated_dot_Python_dot_transformer__pb2.startTransformer.FromString,
                    response_serializer=src_dot_generated_dot_Python_dot_transformer__pb2.pointChunk.SerializeToString,
            ),
            'getProgress': grpc.unary_unary_rpc_method_handler(
                    servicer.getProgress,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=src_dot_generated_dot_Python_dot_transformer__pb2.progressTransformer.SerializeToString,
            ),
            'stopTransformerService': grpc.unary_unary_rpc_method_handler(
                    servicer.stopTransformerService,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'provee.Transformer', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Transformer(object):
    """Interface exported by the server.
    """

    @staticmethod
    def startTransformerService(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_stream(request, target, '/provee.Transformer/startTransformerService',
            src_dot_generated_dot_Python_dot_transformer__pb2.startTransformer.SerializeToString,
            src_dot_generated_dot_Python_dot_transformer__pb2.pointChunk.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getProgress(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.Transformer/getProgress',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            src_dot_generated_dot_Python_dot_transformer__pb2.progressTransformer.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def stopTransformerService(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.Transformer/stopTransformerService',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
